Uninstall app in a chat
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Uninstall an app installed within a chat.
Note: If the chat is associated with an onlineMeeting instance, then, effectively, the teamsApp will get removed from the meeting.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | TeamsAppInstallation.ReadWriteSelfForChat, TeamsAppInstallation.ReadWriteForChat |
| Delegated (personal Microsoft account) | Not supported. |
| Application | Chat.Manage.Chat*, TeamsAppInstallation.ReadWriteSelfForChat.All, TeamsAppInstallation.ReadWriteForChat.All |
Note: Permissions marked with * use resource-specific consent.
HTTP request
DELETE /chats/{chat-id}/installedApps/{app-installation-id}
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful this method returns a 204 No Content response code.
Example
Request
The following example uninstalls an app from the specified chat.
DELETE https://graph.microsoft.com/beta/chats/19:ea28e88c00e94c7786b065394a61f296@thread.v2/installedApps/NjRiOWM3NDYtYjE1NS00MDQyLThkNDctOTQxYmQzODE2ODFiIyMwZDgyMGVjZC1kZWYyLTQyOTctYWRhZC03ODA1NmNkZTdjNzg=
Response
HTTP/1.1 204 No Content
Feedback
Submit and view feedback for